Get Order Extended
Use this API to fetch the order related data like address,cart,offers,customer details etc using the Cashfreeās order_id.
When to use this API
- To get the extended data associated with order.
Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Path Parameters
The ID which uniquely identifies your order.
Response
Success response for fetching the order related data like address,cart,offers,customer details etc using the Cashfree's order_id.
unique id generated by cashfree for your order.
order_id sent during the api request.
Currency of the order. Example INR.
When the order was created at cashfree's server.
"2022-08-16T14:45:38+05:30"
Charges accociated with the order.
{
"shipping_charges": 5,
"cod_handling_charges": 10
}Recent Customer details associated with the order.
{
"customer_id": "7112AAA812234",
"customer_email": "john@cashfree.com",
"customer_phone": "9908734801",
"customer_name": "John Doe",
"customer_uid": "54deabb4-ba45-4a60-9e6a-9c016fe7ab10"
}Address associated with the customer.
{
"name": "Aditya Keshri",
"address_line_one": "MK Building",
"address_line_two": "Test Address",
"country": "India",
"country_code": "IN",
"state": "Karnataka",
"state_code": "KA",
"city": "Bangalore",
"pin_code": "560034",
"phone": "+91 1118911189",
"email": "test@cashfree.com"
}Address associated with the customer.
{
"name": "Aditya Keshri",
"address_line_one": "MK Building",
"address_line_two": "Test Address",
"country": "India",
"country_code": "IN",
"state": "Karnataka",
"state_code": "KA",
"city": "Bangalore",
"pin_code": "560034",
"phone": "+91 1118911189",
"email": "test@cashfree.com"
}The cart details that are necessary like shipping address, billing address and more.
Details of the offer which got applied to the paid order.